Instagram 视频字幕
curl --request POST \
--url https://api.socq.ai/v1/instagram/transcript \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
]
}
'import requests
url = "https://api.socq.ai/v1/instagram/transcript"
payload = { "urls": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>']})
};
fetch('https://api.socq.ai/v1/instagram/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>"
}
}{
"code": 422,
"error": {
"message": "<string>",
"type": "<string>",
"details": {}
}
}Instagram 视频字幕
从公开 Instagram 帖子和Reels中提取视频字幕。
POST
/
v1
/
instagram
/
transcript
Instagram 视频字幕
{"urls": ["https://www.instagram.com/reel/SHORTCODE/"]}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/instagram/transcript |
| Compact MCP | socq_execute 与 endpoint: "instagram/transcript" |
| Typed MCP | socq_instagram_transcripts |
| CLI | socq instagram transcripts |
结果字段
任务结果使用下列稳定的 SocQ 字段。来源特有的字段名称和格式会被规范化,但不会推断或补充来源未提供的值。如需请求更小的字段集,MCP 查询请使用fields,Typed 工具请使用 _result_fields,CLI 请使用 --result-fields。即使值为 null,已声明的字段仍会保留。
| 字段 | 类型 | 可空 | 说明 |
|---|---|---|---|
id | string | 是 | 当前结果项的唯一标识。 |
platform | string | 否 | 结果所属的平台,例如 instagram 或 linkedin。 |
resource | string | 否 | 该结果对应的 SocQ 资源,例如 videos 或 comments。 |
type | string | 否 | 结果项的类别,例如 video、post 或 comment。 |
url | string | 是 | 结果项的公开访问地址(如可获得)。 |
published_at | string | 是 | 源内容的发布时间(如可获得),使用 ISO 8601 格式。 |
collected_at | string | 否 | SocQ 采集或处理该结果的时间,使用 ISO 8601 格式。 |
text | string | 是 | 音频或视频内容的转录文本。 |
language | string | 是 | 转录文本的语言(如可获得)。 |
format | string | 是 | 转录结果的表示格式,例如纯文本或带时间片段。 |
duration_seconds | number | 是 | 时长,单位为秒。 |
任务完成响应
{
"code": 200,
"data": {
"task_id": "M2TZQRIQFWOZY7TD",
"status": "succeeded",
"public_id": "instagram/transcript",
"result_count": 1,
"credits_amount": 0.7,
"results": {
"limit": 1,
"next_cursor": null,
"has_more": false,
"schema_id": "transcript",
"schema_version": "1.0",
"items": [
{
"id": "3597267389859272809",
"platform": "instagram",
"resource": "transcript",
"type": "transcript",
"url": "https://www.instagram.com/reel/DHsD6HGqJhp/",
"published_at": null,
"collected_at": "2026-07-31T02:23:40.245414Z",
"text": "Let's fry up the perfect Banh Xeo. Beautiful. Everybody. Shh. The perfect Banh Xeo. Let me show you my Banh Xeo. When it comes down to Banh Xeo, we make it the crispiest. Hear the crunch? Heaven.",
"language": null,
"format": "plaintext",
"duration_seconds": null
}
]
}
}
}

